> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a client

> Get a specific client



## OpenAPI

````yaml https://dev.hurdlr.com/rest/v1/devUtils/documentation?version=4&Authorization=dexfeE6aRK3zwXP4ku5aWm8w&env=sandbox get /v4/clientMgmt/client
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.hurdlr.com/rest
    description: Staging Environment
  - url: https://prod.hurdlr.com/rest
    description: Production Environment
security:
  - accessTokenSecurity: []
  - basicSecurity: []
tags:
  - name: Authentication
  - name: Banks
  - name: Expenses
  - name: Revenue
  - name: Business & Client Management
  - name: Invoicing
  - name: Reports
  - name: Taxes
  - name: Accounting
  - name: Investment Incomes
paths:
  /v4/clientMgmt/client:
    get:
      tags:
        - Business & Client Management
      summary: Get a client
      description: Get a specific client
      operationId: getClientV4
      parameters:
        - name: id
          in: query
          description: Id of the specific client
          required: true
          schema:
            type: string
            default: ''
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Client'
      security:
        - accessTokenSecurity: []
components:
  schemas:
    Client:
      type: object
      properties:
        id:
          type: string
        business:
          $ref: '#/components/schemas/Business'
        isDefault:
          type: boolean
        companyId:
          type: string
        customerPartnerId:
          type: integer
          format: int64
        name:
          type: string
        additionalContactName:
          type: string
        showName:
          type: boolean
        businessName:
          type: string
        showBusinessName:
          type: boolean
        status:
          type: string
          enum:
            - OPEN
            - COMPLETED
            - CANCELED
            - ARCHIVED
        budgetAmount:
          type: number
        type:
          type: string
          enum:
            - TIME_BASED
            - FIXED_PRICE
            - BUYER
            - SELLER
            - TENANT
            - REA_OTHER
        apiName:
          type: string
          enum:
            - GOOGLELOGIN
            - LINKEDINLOGIN
            - DROPBOX
            - BOX
            - SKYDRIVE
            - CLOVER
            - STRIPE
            - GOOGLESTORAGE
            - GOOGLECONTACTS
            - GOOGLEEMAIL
            - LINKEDINCONTACTS
            - PLAID
            - KNOX
            - UBER
            - FACEBOOKLOGIN
            - FRESHBOOKS
            - HARVEST
            - KW
            - FRESHBOOKS2
            - CAPITAL_ONE
            - SQUARE
            - S3
            - DOTLOOP
            - XERO_DEPRECATED
            - REALOGY
            - UPWORK
            - SHOPIFY
            - DEDUCTR
            - ENTERPRISE
            - MOXIWORKS
            - STRIPE_EXPRESS
            - APPLELOGIN
            - APPDIRECT
            - LONEWOLF
            - USER_IMPORTED
            - LONEWOLF_TRANSACTIONDESK
            - SAMPLE_BANK
            - TAXBOT
            - THIRD_PARTY_BANK
            - GUSTO
            - THIRD_PARTY_PAYMENTS
            - XERO
            - UNIT
            - USER_ENTRY
            - MOOV
            - QBO
            - COLUMN
            - QUALPAY
            - BENCH
            - PARTNER_IMPLEMENTATION
            - CHECK
            - RUTTER
            - WAVE
            - ADYEN
            - APRIL
            - PAYABLI
        apiClientId:
          type: string
        email:
          type: string
        showEmail:
          type: boolean
        phoneWork:
          type: string
        showPhoneWork:
          type: boolean
        clientAddress1:
          type: string
        clientAddress2:
          type: string
        clientCity:
          type: string
        clientState:
          type: string
        clientZip:
          type: string
        showAddress:
          type: boolean
        invoicePrefix:
          type: string
        createdDate:
          type: string
          format: date-time
        default:
          type: boolean
          writeOnly: true
        ccemails:
          type: string
        bccemails:
          type: string
        idPrefix:
          type: string
          enum:
            - COMPANY
            - EMPLOYEE
            - DIMENSION_VALUE
            - CLASS_LABEL
            - CUSTOMER
            - BANK_ACCOUNT
            - GL_ACCOUNT
            - TRANSACTION_CATEGORY
            - BANK_TRANSACTION
            - PROCESSOR_TRANSACTION
            - TRANSACTION_LINE_ITEM
            - VENDOR
            - TRANSACTION_RULE
            - REVENUE_RULE
            - INVOICE
            - INVOICE_LINE_ITEM
            - BILL
            - BILL_LINE_ITEM
            - PAYROLL
            - PAYROLL_LINE_ITEM
            - FINANCIAL_SUMMARY
            - TASK
            - CONVERSATION
            - MESSAGE
            - REACTION
            - BUSINESS_TYPE
            - TEMPLATE_DIMENSION
            - TEMPLATE_COA
            - TEMPLATE_GL_ACCOUNT
            - TEMPLATE_TRANSACTION_RULES
            - MANUAL_JOURNAL_ENTRY
            - GL_TRANSACTION
            - ATTACHMENT
            - CAR
            - MILEAGE
            - INTEGRATION
            - TIME
            - TIME_TYPE
            - TAX_RETURN
        nameForPagination:
          type: string
        invoiceRecipientInfoDefaults:
          $ref: '#/components/schemas/InvoiceClientInfoDefaultsDTO'
        nameColumnNameForPagination:
          type: string
        externalId:
          type: string
      description: Client object
    Business:
      type: object
      properties:
        id:
          type: string
        companyId:
          type: string
        companyIdLong:
          type: integer
          format: int64
        customerPartnerId:
          type: integer
          format: int64
        name:
          type: string
        showName:
          type: boolean
        contactFirst:
          type: string
        contactLast:
          type: string
        showContactFirstLast:
          type: boolean
        email:
          type: string
        showEmail:
          type: boolean
        phoneWork:
          type: string
        showPhoneWork:
          type: boolean
        address1:
          type: string
        address2:
          type: string
        city:
          type: string
        state:
          type: string
        zip:
          type: string
        showAddress:
          type: boolean
        tin:
          type: string
        invoicePrefix:
          type: string
        plaidApiEntityIds:
          type: string
        status:
          type: string
          enum:
            - ACTIVE
            - INACTIVE
            - PENDING
            - DELETED
        apiName:
          type: string
          enum:
            - GOOGLELOGIN
            - LINKEDINLOGIN
            - DROPBOX
            - BOX
            - SKYDRIVE
            - CLOVER
            - STRIPE
            - GOOGLESTORAGE
            - GOOGLECONTACTS
            - GOOGLEEMAIL
            - LINKEDINCONTACTS
            - PLAID
            - KNOX
            - UBER
            - FACEBOOKLOGIN
            - FRESHBOOKS
            - HARVEST
            - KW
            - FRESHBOOKS2
            - CAPITAL_ONE
            - SQUARE
            - S3
            - DOTLOOP
            - XERO_DEPRECATED
            - REALOGY
            - UPWORK
            - SHOPIFY
            - DEDUCTR
            - ENTERPRISE
            - MOXIWORKS
            - STRIPE_EXPRESS
            - APPLELOGIN
            - APPDIRECT
            - LONEWOLF
            - USER_IMPORTED
            - LONEWOLF_TRANSACTIONDESK
            - SAMPLE_BANK
            - TAXBOT
            - THIRD_PARTY_BANK
            - GUSTO
            - THIRD_PARTY_PAYMENTS
            - XERO
            - UNIT
            - USER_ENTRY
            - MOOV
            - QBO
            - COLUMN
            - QUALPAY
            - BENCH
            - PARTNER_IMPLEMENTATION
            - CHECK
            - RUTTER
            - WAVE
            - ADYEN
            - APRIL
            - PAYABLI
        apiClientId:
          type: string
        bizType:
          type: string
          enum:
            - ADVISOR_COACH
            - ARCHITECT
            - BRANDING_DESIGN
            - CONSULTANT
            - GOVT_CONTRACTOR
            - HOTEL_HOSPITALITY
            - PHOTOGRAPHY
            - PRINTING_DESIGN
            - PROFESSIONAL_SERVICES
            - LANDLORD
            - REAL_ESTATE_AGENT
            - RESTAURANT
            - SOFTWARE_DEV
            - SPEAKER_AUTHOR
            - TECH_SUPPORT
            - WEB_DESIGN_DEV
            - HEALTH_PROFESSIONAL
            - OTHER
            - DRIVER
            - AIRBNB
            - FINANCIAL_ADVISOR
            - INSURANCE_AGENT
            - MARKETER
            - RETAIL
            - HOST
            - FREELANCER
            - E_COMMERCE
            - SALES
        dimensionId:
          type: integer
          format: int64
        level0Id:
          type: integer
          format: int64
        createdDate:
          type: string
          format: date-time
        idPrefix:
          type: string
          enum:
            - COMPANY
            - EMPLOYEE
            - DIMENSION_VALUE
            - CLASS_LABEL
            - CUSTOMER
            - BANK_ACCOUNT
            - GL_ACCOUNT
            - TRANSACTION_CATEGORY
            - BANK_TRANSACTION
            - PROCESSOR_TRANSACTION
            - TRANSACTION_LINE_ITEM
            - VENDOR
            - TRANSACTION_RULE
            - REVENUE_RULE
            - INVOICE
            - INVOICE_LINE_ITEM
            - BILL
            - BILL_LINE_ITEM
            - PAYROLL
            - PAYROLL_LINE_ITEM
            - FINANCIAL_SUMMARY
            - TASK
            - CONVERSATION
            - MESSAGE
            - REACTION
            - BUSINESS_TYPE
            - TEMPLATE_DIMENSION
            - TEMPLATE_COA
            - TEMPLATE_GL_ACCOUNT
            - TEMPLATE_TRANSACTION_RULES
            - MANUAL_JOURNAL_ENTRY
            - GL_TRANSACTION
            - ATTACHMENT
            - CAR
            - MILEAGE
            - INTEGRATION
            - TIME
            - TIME_TYPE
            - TAX_RETURN
        nameColumnNameForPagination:
          type: string
        externalId:
          type: string
    InvoiceClientInfoDefaultsDTO:
      type: object
      properties:
        showClientEmail:
          type: boolean
          description: Whether the client's email is displayed on invoices
        showClientName:
          type: boolean
          description: Whether the client's name is displayed on invoices
        showClientBusinessName:
          type: boolean
          description: Whether the client's business name is displayed on invoices
        showClientAddress:
          type: boolean
          description: Whether the client's address is displayed on invoices
        showClientPhoneWork:
          type: boolean
          description: Whether the client's phone number is displayed on invoices
      description: Defaults for client information on invoices
  securitySchemes:
    accessTokenSecurity:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: /auth/account
          scopes:
            write: ''

````